## openfec-1.4.2.11.tar.gz

=== doc/howto_performance_evaluation/Makefile ===
# initialize the NAME_BASE variable with the file name without any extension
NAME_BASE=howto_performance_evaluation
TEX=${NAME_BASE}.tex
DVI=${NAME_BASE}.dvi
PS=${NAME_BASE}.ps
PS2P=${NAME_BASE}_2p.ps
PDF=${NAME_BASE}.pdf
PS_GZ=${PS}.gz
PS2P_GZ=${PS2P}.gz
RTF=${NAME_BASE}.rtf


# classic version...
#LATEX=latex
LATEX=pdflatex


all:	pdf

ps:
	${LATEX} ${TEX}
	dvips ${DVI} -o ${PS} -Ppdf -G0
	if [ -e "${PS_GZ}" ] ; then \
		rm "${PS_GZ}"; \
	fi
	gzip ${PS}

biblio:
	export BIBINPUTS=.
	bibtex ${NAME_BASE}
	latex ${TEX}
	latex ${TEX}

html:
	latex2html -split 0 ${NAME_BASE}

ps2p:
	${LATEX} ${TEX}
	dvips ${DVI} -o ${PS} -Ppdf -G0
	psnup -2 ${PS} > ${PS2P}
	if [ -e "${PS_GZ}" ] ; then \
		rm "${PS_GZ}"; \
	fi
	gzip ${PS}
	if [ -e "${PS2P_GZ}" ] ; then \
		rm "${PS2P_GZ}"; \
	fi
	gzip ${PS2P}

# Use it if pdftex produces PDF directly...
pdf:
	${LATEX} ${TEX}

#pdf:
#	${LATEX} ${TEX}
#	dvips ${DVI} -o ${PS} -Ppdf -G0
#	ps2pdf ${PS}
#	rm ${PS}

rtf:
	latex2rtf -Z9 ${TEX}

clean:
	rm -f ${NAME_BASE}.aux ${NAME_BASE}.log ${NAME_BASE}.toc ${NAME_BASE}.bbl ${NAME_BASE}.blg ${NAME_BASE}.out ${NAME_BASE}.dvi

cleanall: clean
	if [ -e "${PS_GZ}" ] ; then \
		rm "${PS_GZ}"; \
	fi
	if [ -e "${PS}" ] ; then \
		rm "${PS}"; \
	fi
	if [ -e "${PS2P}" ] ; then \
		rm "${PS2P}"; \
	fi
	if [ -e "${DVI}" ] ; then \
		rm "${DVI}"; \
	fi
	if [ -e "${PDF}" ] ; then \
		rm "${PDF}"; \
	fi
	if [ -e "${RTF}" ] ; then \
		rm "${RTF}"; \
	fi

=== debian/control ===
Source: openfec
Section: unknown
Priority: optional
Maintainer: unknown <pi@d0>
Build-Depends: debhelper (>= 11), gcc, cmake, make
Standards-Version: 4.1.3
Homepage: http://openfec.org
Vcs-Browser: https://github.com/roc-streaming/openfec
Vcs-Git: git://github.com/roc-streaming/openfec

Package: libopenfec
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application-Level Forward Erasure Correction implementation library - runtime
 Application-Level Forward Erasure Correction implementation library

Package: libopenfec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libopenfec (= ${binary:Version})
Description: Application-Level Forward Erasure Correction implementation library - development files
 Application-Level Forward Erasure Correction implementation library

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_builddeb:
	dh_builddeb -- -Zgzip

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%openfec-$1\.tar\.gz%" \
  https://github.com/roc-streaming/openfec/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
